Package org.apache.batchee.jmx

## Interface BatchEEMBean

- All Known Implementing Classes:
    `BatchEE`, `BatchEEMBeanImpl`

      public interface BatchEEMBean

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_OBJECT_NAME` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abandon​(long executionId)` |
    `TabularData` | `getJobExecution​(long executionId)` |
    `TabularData` | `getJobExecutions​(long id, String name)` |
    `TabularData` | `getJobInstance​(long executionId)` |
    `int` | `getJobInstanceCount​(String jobName)` |
    `TabularData` | `getJobInstances​(String jobName, int start, int count)` |
    `String[]` | `getJobNames()` |
    `TabularData` | `getParameters​(long executionId)` |
    `Long[]` | `getRunningExecutions​(String jobName)` |
    `TabularData` | `getStepExecutions​(long jobExecutionId)` |
    `long` | `restart​(long executionId, String restartParameters)` |
    `long` | `start​(String jobXMLName, String jobParameters)` |
    `void` | `stop​(long executionId)` |

- - ### Field Detail

    - #### DEFAULT_OBJECT_NAME

          static final String DEFAULT_OBJECT_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getJobNames

          String[] getJobNames()

    - #### getJobInstanceCount

          int getJobInstanceCount​(String jobName)

    - #### getJobInstances

          TabularData getJobInstances​(String jobName,
                                      int start,
                                      int count)

    - #### getRunningExecutions

          Long[] getRunningExecutions​(String jobName)

    - #### getParameters

          TabularData getParameters​(long executionId)

    - #### getJobInstance

          TabularData getJobInstance​(long executionId)

    - #### getJobExecutions

          TabularData getJobExecutions​(long id,
                                       String name)

    - #### getJobExecution

          TabularData getJobExecution​(long executionId)

    - #### getStepExecutions

          TabularData getStepExecutions​(long jobExecutionId)

    - #### start

          long start​(String jobXMLName,
                     String jobParameters)

    - #### restart

          long restart​(long executionId,
                       String restartParameters)

    - #### stop

          void stop​(long executionId)

    - #### abandon

          void abandon​(long executionId)